# Collect Repositories

Find, list and filter git repositories on your system.

Use cases: 
* finding repositories without any remote repository defined
* find repositories using a remote repository on X but not on Y (where X and Y can be Gitlab, Github, Bitbucket, Gitea, ...)
* finding repositories that are not registered in mrconfig

## Usage

## Overview

```shell-session
$ collect-repos help
Commands:
  collect-repos help [COMMAND]   # Describe available commands or one specific command
  collect-repos list [SELECTOR]  # List repositories

Options:
  -r, [--root=ROOT]
```

## Example : finding repositories without any remote repository defined

```shell-session
$ collect-repos list -r . gitea=false,github=false,gitlab=false,bitbucket=false,mr=false
SELECTOR: gitea=false AND github=false AND gitlab=false AND bitbucket=false AND mr=false

PATH
---------------------------------------------------
dev--editor-vscodium
dev--git-basics/examples/stories-project
dev--git-basics/examples/stories-project2
devops--build-and-dependencies
devops--ci-and-cd/examples/webhook-server
devops--docker-demo
devops--kubernetes/exercises/exo2-nextcloud/tmp/k8s
draft--devops--industrial
framework--jekyll
framework--nodejs/projets/page-authentification
framework--nodejs-advanced
pm--it-project/demos/wiki/wikidata
pm--nepal
```

## Authors

FIXME

## Licence

FIXME

